Your submission was sent successfully! Close

CVE-2016-7412

Published: 17 September 2016

ext/mysqlnd/mysqlnd_wireprotocol.c in PHP before 5.6.26 and 7.x before 7.0.11 does not verify that a BIT field has the UNSIGNED_FLAG flag, which allows remote MySQL servers to cause a denial of service (heap-based buffer overflow) or possibly have unspecified other impact via crafted field metadata.

Priority

Medium

CVSS 3 base score: 8.1

Status

Package Release Status
php5
Launchpad, Ubuntu, Debian
precise
Released (5.3.10-1ubuntu3.25)
trusty
Released (5.5.9+dfsg-1ubuntu4.20)
upstream
Released (5.6.26)
xenial Does not exist

Patches:
upstream: http://git.php.net/?p=php-src.git;a=commit;h=28f80baf3c53e267c9ce46a2a0fadbb981585132

php7.0
Launchpad, Ubuntu, Debian
precise Does not exist

trusty Does not exist

upstream
Released (7.0.11)
xenial
Released (7.0.8-0ubuntu0.16.04.3)
Patches:

upstream: http://git.php.net/?p=php-src.git;a=commit;h=c984661d39cfa4db1dd97fde1f59c77a44991440